Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface Dimensionable

All Known Implementing Classes:
  ASTFieldDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTPrimitiveType, ASTReferenceType

public interface Dimensionable

Method Summary
`int` | `getArrayDepth()`
`boolean` | `isArray()`

Method Detail

### isArray

    public boolean isArray()

### getArrayDepth

    public int getArrayDepth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.